> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Cashbacks ventilation file

> Lists the ventilation of ALO Cashbacks in amounts per Consumer.



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.3/m2m.json get /connectors/m2m/ventilations/rewards/cashbacks
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.3
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/ventilations/rewards/cashbacks:
    get:
      tags:
        - Affiliation Cashback
      summary: Get the Cashbacks ventilation file
      description: Lists the ventilation of ALO Cashbacks in amounts per Consumer.
      parameters:
        - description: Filter by execution_date
          in: query
          name: execution_date
          schema:
            type: string
        - description: Filter by fee_invoice_id
          in: query
          name: fee_invoice_id
          schema:
            format: uuid
            type: string
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: Filter by payout_id
          in: query
          name: payout_id
          schema:
            format: uuid
            type: string
        - description: Filter by payout_status
          in: query
          name: payout_status
          schema:
            enum:
              - TODO
              - PENDING
              - CREATED
              - VALIDATED
              - REJECTED
              - ERROR
              - DEACTIVATED
            type: string
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - status
              - payout_status
              - execution_date
              - fee_invoice_id
              - payout_id
              - '-status'
              - '-payout_status'
              - '-execution_date'
              - '-fee_invoice_id'
              - '-payout_id'
            type: string
        - description: Filter by status
          in: query
          name: status
          schema:
            enum:
              - PENDING
              - VALIDATED
              - PAID
              - ERROR
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/VentilationFileListing'
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
          links:
            get.VentilationCsvConnectorResource:
              operationId: get.VentilationCsvConnectorResource
              parameters:
                invoicing_cycle: $response.body#/items/0/invoicing_cycle
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    VentilationFileListing:
      properties:
        amount: {}
        execution_date: {}
        fee_invoice_id: {}
        fee_invoice_reference: {}
        id: {}
        invoicing_cycle:
          type: string
        payout_id: {}
        status: {}
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````